Subject: Re: MMIO and gcc re-ordering issue

From: Alan Cox <[email-masked]>
Date: Wed, 4 Jun 2008 12:47:14 +0100

> Anyway, Intel certainly seems to document that WC memory is serialized by 
> any access to UC memory.

I don't believe that is actually true on Pentium Pro at least.

>   So what started out as a "we can do accesses to the frame buffer more 
>   efficiently without anybody ever even having to know or care" has 
>   turned into a whole nightmare of people using it for other things, and 
>   then you very much _do_ have to care! ]

Notably graphics where 3Dfx lined the registers up specifically to make
this work. We were also using it with I²O where it gave a small
performance gain.

Alan